Bug 1378152 - Fedora Media Writer don't work with proxy on linux (socket error)
Summary: Fedora Media Writer don't work with proxy on linux (socket error)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mediawriter
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-21 15:35 UTC by Frederico Lima
Modified: 2017-07-31 18:42 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-15 13:33:46 UTC


Attachments (Terms of Use)
screenshot, socket error after much time waiting (157.04 KB, image/png)
2016-09-21 15:35 UTC, Frederico Lima
no flags Details
mediawriter-3.97.1-0.fc24 bug still exists (375.38 KB, image/png)
2016-09-26 13:27 UTC, Frederico Lima
no flags Details
4.0.0 mediawriter version and still can't use through proxy (1.53 MB, image/png)
2016-11-03 12:41 UTC, Frederico Lima
no flags Details
mediawriter version 4.0.0-2 screenshot, still not working through an proxy (1.27 MB, image/png)
2016-11-04 20:28 UTC, Frederico Lima
no flags Details

Description Frederico Lima 2016-09-21 15:35:09 UTC
Created attachment 1203372 [details]
screenshot, socket error after much time waiting

Description of problem:
The Fedora Media Writer don't work through proxy server.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1. open Fedora Media Writer
2. click on Fedora Workstation (or any other OS option)
3. wait forever to download, it will not.

Actual results:
socket error message

Expected results:
Download ISO image and write it to the usb stick

Additional info:
I've used Fedora 24 workstation with kde plasma.

Comment 1 Frederico Lima 2016-09-21 16:33:04 UTC
my machine:
has run on a bare metal Fedora:
F24, Kernel: x86_64 Linux 4.7.3-200.fc24.x86_64, KDE5 Plasma, i5-4570 @ 3.6GHZ, GeForce 210, 16 Gigas of RAM

Comment 2 Frederico Lima 2016-09-21 17:09:46 UTC
mediawriter version:
3.96.0

Comment 3 Martin Bříza 2016-09-22 08:22:43 UTC
Can you please be more specific about your network configuration, please? Is this a systemwide proxy or is it set manually in KDE network configuration? Do you have other connectivity or is the proxy your only way to access the internet?

Comment 4 Fedora Update System 2016-09-24 17:52:30 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e34fd77aaf

Comment 5 Frederico Lima 2016-09-26 12:38:35 UTC
(In reply to Martin Bříza from comment #3)
> Can you please be more specific about your network configuration, please? Is
> this a systemwide proxy or is it set manually in KDE network configuration?
> Do you have other connectivity or is the proxy your only way to access the
> internet?

Hi Martin,
I use squid proxy with digest authentication,
Its a systemwide proxy. The only way to access the internet is through this proxy.

Comment 6 Martin Bříza 2016-09-26 12:40:34 UTC
Thank you Federico. I have pushed a new version of FMW a few days ago. Can you please test if that fixes your issue? I have rewritten the downloading code completely so there could be a difference.

Comment 7 Frederico Lima 2016-09-26 13:26:39 UTC
(In reply to Martin Bříza from comment #6)
> Thank you Federico. I have pushed a new version of FMW a few days ago. Can
> you please test if that fixes your issue? I have rewritten the downloading
> code completely so there could be a difference.

Sadly I still can't download images through a proxy server

Comment 8 Frederico Lima 2016-09-26 13:27 UTC
Created attachment 1204837 [details]
mediawriter-3.97.1-0.fc24 bug still exists

Comment 9 Fedora Update System 2016-09-27 00:32:13 UTC
mediawriter-3.97.1-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Itamar Reis Peixoto 2016-09-28 15:35:05 UTC
I will give a try, it will work with a proxy configured in gnome-control-center network  (gnome environment ) ?

Comment 11 Martin Bříza 2016-09-29 13:19:39 UTC
Just try it with your setup. The new version is now in stable repositories.

Comment 12 Fedora Update System 2016-10-31 12:37:29 UTC
mediawriter-4.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10ffb404a4

Comment 13 Fedora Update System 2016-11-01 02:21:40 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10ffb404a4

Comment 14 Frederico Lima 2016-11-03 12:41 UTC
Created attachment 1216952 [details]
4.0.0 mediawriter version and still can't use through proxy

Comment 15 Frederico Lima 2016-11-03 12:42:50 UTC
cannot use an proxy yet. see the screen shot above

Comment 16 Martin Bříza 2016-11-03 17:41:45 UTC
ok, now i have found something that can actually help
committed upstream

Comment 17 Fedora Update System 2016-11-03 18:29:17 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Frederico Lima 2016-11-04 20:28 UTC
Created attachment 1217505 [details]
mediawriter version 4.0.0-2 screenshot, still not working through an proxy

mediawriter version 4.0.0-2 screenshot, still not working through an proxy

Comment 19 Frederico Lima 2016-11-04 20:28:44 UTC
same problem

Comment 20 Fedora Update System 2016-11-11 08:08:56 UTC
mediawriter-4.0.4-0.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 21 Fedora Update System 2016-11-11 16:57:48 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-239cdfbfd6

Comment 22 Fedora Update System 2016-11-15 13:33:46 UTC
mediawriter-4.0.4-0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2016-11-19 21:06:20 UTC
mediawriter-4.0.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.